GlueGen: com.jogamp.common.GlueGenVersion.GluGenRTJarSHASum Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.GlueGenVersion.GluGenRTJarSHASum Class Reference

`gluegen-rt.jar` definition of `SHASum.TempJarSHASum`'s specialization of `SHASum`. More...

Inheritance diagram for com.jogamp.common.GlueGenVersion.GluGenRTJarSHASum:
Collaboration diagram for com.jogamp.common.GlueGenVersion.GluGenRTJarSHASum:

## Public Member Functions

| GluGenRTJarSHASum () throws SecurityException, IllegalArgumentException, NoSuchAlgorithmException, IOException, URISyntaxException
| See `GluGenRTJarSHASum`. More...
Public Member Functions inherited from com.jogamp.common.util.SHASum.TempJarSHASum
| TempJarSHASum (final MessageDigest digest, final Class<?> jarclazz, final List< Pattern > excludes, final List< Pattern > includes) throws SecurityException, IllegalArgumentException, IOException, URISyntaxException
| Instance to ensure proper `compute(boolean)` of identical SHA sums over same contents within given paths across machines. More...
final String | getOrigin ()
Public Member Functions inherited from com.jogamp.common.util.SHASum
| SHASum (final MessageDigest digest, final List< String > origins, final List< Pattern > excludes, final List< Pattern > includes)
| Instance to ensure proper `compute(boolean)` of identical SHA sums over same contents within given paths across machines. More...
final byte[] | compute (final boolean verbose) throws IOException

Implementation gathers all files traversing through given paths via `IOUtil#filesOf(List, List, List)`, sorts the resulting file list via `sort(ArrayList)` and finally calculates the SHA sum over its byte content via `updateDigest(MessageDigest, List)`. More...

final List< String > | getOrigins ()
final List< Pattern > | getExcludes ()
final List< Pattern > | getIncludes ()

## Additional Inherited Members

Static Public Member Functions inherited from com.jogamp.common.util.SHASum
static long | updateDigest (final MessageDigest digest, final List< String > filenames) throws IOException
| `Updates` the given `digest` with the bytes contained by the files denoted by the given `filenames` in the given order. More...
static StringBuilder | toHexString (final byte[] shasum, StringBuilder sb)
| Simple helper to print the given byte-array into a string, here appended to StringBuilder. More...
static List< String > | sort (final ArrayList< String > source)
| Returns the sorted list of given strings using `String#compareTo(String)`'s lexicographically comparison. More...
static void | main (final String[] args) throws IOException
| Main entry point taking var-arg path or gnu-arguments with a leading '–'. More...

## Detailed Description

`gluegen-rt.jar` definition of `SHASum.TempJarSHASum`'s specialization of `SHASum`.

Implementation uses `com.jogamp.common.util.cache.TempJarCache`.

Constructor defines the includes and excludes as used for `gluegen-rt.jar` `SHASum` computation.

Definition at line 80 of file GlueGenVersion.java.

## Constructor & Destructor Documentation

## ◆ GluGenRTJarSHASum()

com.jogamp.common.GlueGenVersion.GluGenRTJarSHASum.GluGenRTJarSHASum | ( |  | ) | throws SecurityException, IllegalArgumentException, NoSuchAlgorithmException, IOException, URISyntaxException

See `GluGenRTJarSHASum`.

Exceptions

  SecurityException |
  IllegalArgumentException |
  NoSuchAlgorithmException |
  IOException |
  URISyntaxException |

Definition at line 89 of file GlueGenVersion.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/GlueGenVersion.java